Show / Hide Table of Contents

# Class OpenIddictValidationEvents.ProcessErrorContext

Represents an event called when processing an errored response.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext
OpenIddictValidationEvents.ProcessErrorContext

##### Inherited Members

OpenIddictValidationEvents.BaseRequestContext.IsRequestHandled
OpenIddictValidationEvents.BaseRequestContext.IsRequestSkipped
OpenIddictValidationEvents.BaseRequestContext.HandleRequest()
OpenIddictValidationEvents.BaseRequestContext.SkipRequest()
OpenIddictValidationEvents.BaseContext.Transaction
OpenIddictValidationEvents.BaseContext.EndpointType
OpenIddictValidationEvents.BaseContext.Issuer
OpenIddictValidationEvents.BaseContext.Logger
OpenIddictValidationEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ProcessErrorContext : OpenIddictValidationEvents.BaseRequestContext

### Constructors

#### ProcessErrorContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.ProcessErrorContext class.

##### Declaration

    public ProcessErrorContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### Request

Gets or sets the request, or `null` if it couldn't be extracted.

##### Declaration

    public OpenIddictRequest? Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> |

#### Response

Gets or sets the response.

##### Declaration

    public OpenIddictResponse Response { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictResponse |